﻿
@model IEnumerable<ClienteMvcApi.Models.RegionDto>
@{ Layout = "_Layout"; ViewBag.Title = "Regiones";}

<h3>Top 10 COVID Cases</h3>
<h3>@ViewBag.StatusCode</h3>

<form method="post" #DropngForm="ngForm" novalidate (ngSubmit)="onSubmit()">
    <div class="form-group">
        @*<label for="id">Id:</label>*@ @*filtrar por id*@

        <div class="card">
            <div class="card-body">
                <div class="input-group-text">
 
                    <div class="col-auto my-1">
                        <label class="mr-sm-2" for="inlineFormCustomSelect"></label>
                        <select class="custom-select form-control mr-sm-2" id="inlineFormCustomSelect" #refRegions="ngModel">
                            <option selected>Regions...</option>
                            @foreach (var region in ViewBag.Regions)
                            {
                                <option value="@region.iso">
                                    @region.iso
                                </option>
                            }

                        </select>
                    </div>


                    <div class="col-auto my-1">
                        @*<button type="submit" class="btn btn-sm btn-primary">Report</button>*@
                        <a asp-action="GetRegionsAsync" class="btn btn-sm btn-primary">Report</a>
                    </div>

                    <div class="btn-group" role="group" aria-label="Basic example">
                        <button type="button" class="btn btn-sm btn-primary">XML</button>
                        <button type="button" class="btn btn-sm btn-primary">JSON</button>
                        <button type="button" class="btn btn-sm btn-primary">CSV</button>
                    </div>

                </div>

            </div>
        </div>


    </div>
</form>


<div class="card">
    <div class="card-body" >
        <table class="table table-borderless table-hover">
            <thead>
                <tr>
                    <th>REGION</th>
                    <th>CASES</th>
                    <th>DEATHS</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var r in Model)
                {
                    <tr>
                        <td>@r.iso</td>
                        <td>@r.name</td>
                        <td>@r.name</td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>


<div class="card">
    <div class="card-body">
        <table class="table table-borderless table-hover">
            <thead>
                <tr>
                    <th>PROVINCE</th>
                    <th>CASES</th>
                    <th>DEATHS</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var r in Model)
                {
                    <tr>
                        <td>@r.iso</td>
                        <td>@r.name</td>
                        <td>@r.name</td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>



